@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

/*
Custom colors
*/

$lbc-orange: (
    50 : #fee9e4,
    100 : #fdc9bc,
    200 : #fca58f,
    300 : #fb8162,
    400 : #fa6641,
    500 : #f94b1f,
    600 : #f8441b,
    700 : #f73b17,
    800 : #f63312,
    900 : #f5230a,
    A100 : #ffffff,
    A200 : #ffeceb,
    A400 : #ffbdb8,
    A700 : #ffa69e,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$lbc-blue: (
    50 : #e8edf7,
    100 : #c5d2ec,
    200 : #9eb5df,
    300 : #7797d2,
    400 : #5a80c8,
    500 : #3d6abe,
    600 : #3762b8,
    700 : #2f57af,
    800 : #274da7,
    900 : #1a3c99,
    A100 : #d0dbff,
    A200 : #9db4ff,
    A400 : #6a8dff,
    A700 : #517aff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #ffffff,
    )
);


// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$color-primary: mat-palette($lbc-orange);
$color-accent:  mat-palette($lbc-blue);

// The warn palette is optional (defaults to red).
$candy-app-warn:    mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$app-theme: mat-light-theme($color-primary, $color-accent, $candy-app-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($app-theme);